summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp/debug-build.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-06-29 17:05:49 +0000
committerGerrit Code Review <gerrit@fd.io>2020-06-29 17:05:49 +0000
commitcea930f9bb0d339019cb84101ee451d63c3c0368 (patch)
tree39f1e2a5fb09b9d30cbc511e305458581896dd8c /jjb/scripts/vpp/debug-build.sh
parent08df568f77cff86fced188536d5408b117a57925 (diff)
parent1de137afb4c2cf14a2acb92b2c111b64b85e72ab (diff)
Merge "Recycle vpp-verify-{stream}-clang into vpp-verify-{stream}-debug job"
Diffstat (limited to 'jjb/scripts/vpp/debug-build.sh')
-rw-r--r--jjb/scripts/vpp/debug-build.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/debug-build.sh b/jjb/scripts/vpp/debug-build.sh
new file mode 100644
index 00000000..cdf1d076
--- /dev/null
+++ b/jjb/scripts/vpp/debug-build.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+# do nothing but print the current slave hostname
+hostname
+
+echo "cat /etc/bootstrap.sha"
+if [ -f /etc/bootstrap.sha ];then
+ cat /etc/bootstrap.sha
+else
+ echo "Cannot find cat /etc/bootstrap.sha"
+fi
+
+echo "cat /etc/bootstrap-functions.sha"
+if [ -f /etc/bootstrap-functions.sha ];then
+ cat /etc/bootstrap-functions.sha
+else
+ echo "Cannot find cat /etc/bootstrap-functions.sha"
+fi
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+
+
+# run with ASAN on
+# export VPP_EXTRA_CMAKE_ARGS='-DVPP_ENABLE_SANITIZE_ADDR=ON'
+
+# clang is not working with ASAN right now - see change 27268
+# apparently gcc neither...
+# export CC=gcc
+
+
+
+make UNATTENDED=yes install-dep
+make UNATTENDED=yes install-ext-deps
+make UNATTENDED=yes build
+make UNATTENDED=yes TEST_JOBS=auto test-debug
+
+
+echo "*******************************************************************"
+echo "* VPP debug/asan test BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"